mumps (5.8.2-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - autopkgtest: copy debian/changelog for ELF package metadata

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 07 Feb 2026 22:01:47 +0100

mumps (5.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Feb 2026 12:03:11 +0100

mumps (5.8.1-2ubuntu1) resolute; urgency=medium

  * autopkgtest: copy debian/changelog for ELF package metadata (LP: #2134532)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Jan 2026 11:43:28 +0100

mumps (5.8.1-2build1) resolute; urgency=medium

  * Rebuild against new slepc/petsc/petsc4py/scotch/mumps libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Dec 2025 20:16:03 +0100

mumps (5.8.1-2) unstable; urgency=medium

  * Team upload.
  * upload to unstable for transition #1121012
  * reinstate MPI build tests (fixed by openmpi 5.0.9-1)

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Nov 2025 01:00:46 +0100

mumps (5.8.1-1exp2) experimental; urgency=medium

  * Team upload.
  * disable all MPI build tests pending resolution of Bug#1120481

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Nov 2025 20:39:22 +0100

mumps (5.8.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * update to new scotch configuration
    - use $(SCOTCH_SONAME_SUFFIX) in debian's Makefile.inc scripts
    - build libmumps-64pord-*scotch using SCOTCH_SONAME_SUFFIX=_64
      for 64-bit indexing with 32-bit integers
      (_64i would provide 64-bit integers)
    - Build-Depends: libscotch-dev, libptscotch-dev,
      libscotch-64-dev, libptscotch-64-dev (>= 7.0.10~)
      (carry the version in libptscotch-64-dev only for ease of
      maintenance, assuming the other lib*scotch*-dev packages will
      follow the same version)

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Nov 2025 01:14:53 +0100

mumps (5.8.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - New ABI 5.8
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace in changelog (routine-update)
  * Refresh patches.

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 26 Jul 2025 14:10:37 +0000

mumps (5.7.3-3) unstable; urgency=medium

  * Team upload.
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=":oversubscribe"
    Use the new variable name in debian/tests.
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
    Use the new variable name in debian/tests.
  * Allow stderr while running mpi tests on debci because the message
        Note: The following floating-point exceptions are signalling:
              IEEE_INVALID_FLAG IEEE_DIVIDE_BY_ZERO
    gets printed since OpenMPI 5.0.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 31 Oct 2024 09:23:27 +0000

mumps (5.7.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Oct 2024 10:57:42 +0200

mumps (5.7.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Build the 64-bit mumps-scotch libraries against 64-bit scotch
    (scotch-int64 for consistency with petsc64)
    Add custom-library-search-path to lintian-overrides to
    acknowledge explicit RUNPATH.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Aug 2024 23:59:09 +0200

mumps (5.7.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. New ABI 5.7.
  * define SHARED_OPT = -shared in Makefile*.inc config files

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 May 2024 18:27:18 +0200

mumps (5.6.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063152

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 20:55:10 +0000

mumps (5.6.2-2) unstable; urgency=medium

  * Team upload
  * Explicitly disable LTO to avoid FTBFS when it is enabled
    (Closes: #1057081)

 -- Graham Inggs <ginggs@debian.org>  Wed, 29 Nov 2023 14:59:10 +0000

mumps (5.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * dh_auto_clean removes libpord*.a libraries. Closes: #1048347.

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Nov 2023 12:32:31 +0100

mumps (5.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - debian patch makefile_version.patch VERSION = 5.6.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Aug 2023 13:27:51 +0200

mumps (5.6.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - new ABI 5.6
  * add SONAME = -soname to debian's Makefile.inc fragments
  * shared-pord.patch: include Makefile.inc in PORD/lib/Makefile
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 May 2023 21:56:22 +0200

mumps (5.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 31 Aug 2022 16:55:34 +0200

mumps (5.5.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - new ABI 5.5
  * LIBEXT (.a), LIBEXT_SHARED (.so), FPIC_OPT=-fPIC
    set in Makefile.inc
    - apply FPIC_OPT to static builds to keep object files consistent
      with shared library build
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 May 2022 20:32:04 +0200

mumps (5.4.1-2) unstable; urgency=medium

  * Team upload.
  * release MUMPS 5.4 to unstable

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Oct 2021 08:59:35 +0200

mumps (5.4.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Sep 2021 13:39:26 +0200

mumps (5.4.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release (ABI bump from 5.3 to 5.4).

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Apr 2021 19:25:42 +0200

mumps (5.3.5-2) unstable; urgency=medium

  * Team upload.
  * libmumps64-seq-dev Depends: libmumps-64pord-seq-5.3
    (not libmumps-seq-dev, libmumps-seq-5.3). Closes: #985514.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Mar 2021 04:52:40 +0100

mumps (5.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Oct 2020 12:11:59 +0800

mumps (5.3.4-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * MUMPS is now ABI-compatible in the minor version.
    Provide new packages as libmumps-5.3, etc instead of libmumps-5.3.4
    - install library file as full version filename libmump*-X.Y.Z.so
      and provide soname symlink for libmump*-X.Y.so
  * Provide unversioned (-dev) and soname-versioned symlinks to
    libmpiseq (packages libmumps-seq-dev and libmumps-seq-5.3
    and their 64-bit counterparts)
  * debian patch makefile_version.patch sets VERSION (X.Y.Z) and
    SOVERSION (X.Y) in Makefile for building shared libraries.

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Oct 2020 00:38:24 +0800

mumps (5.3.3-2) unstable; urgency=medium

  * Team upload.
  * remove deprecated tags in debian/source/lintian-overrides

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Oct 2020 01:54:11 +0800

mumps (5.3.3-1exp2) experimental; urgency=medium

  * Team upload.
  * provide new versioned package names for new release
  * update shared-*.patch to set SOVERSION as a make variable

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Jul 2020 02:24:21 +0800

mumps (5.3.3-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * put Adam C. Powell, IV's name in quotes in past changelog entries

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Jul 2020 00:43:42 +0800

mumps (5.3.1-5) unstable; urgency=medium

  * Team upload.
  * libmumps-headers-dev Breaks/Replaces: libmumps-seq-dev (<< 5.3.1-3)
    (and libmumps-dev). Closes: #962831.

 -- Drew Parsons <dparsons@debian.org>  Mon, 15 Jun 2020 19:17:36 +0800

mumps (5.3.1-4) unstable; urgency=medium

  * Team upload.
  * ensure mumps_int_def.h is built for arch-independent builds

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Jun 2020 11:58:20 +0800

mumps (5.3.1-3) unstable; urgency=medium

  * Team upload.
  * add -fallow-argument-mismatch to OPTF in Makefile*.inc (via
    OPTF_DEBIAN set conditionally in debian/rules) to allow build to
    proceed with gcc-10. Closes: #957570.

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Jun 2020 13:38:28 +0800

mumps (5.3.1-2exp1) experimental; urgency=medium

  * Team upload.
  * Provide 64-bit packages. Closes: #961185.
    Currently this is 64-bit PORD ordering (-DPORD_INTSIZE64)
    not a full all-integer 64-bit build.
    The libmumps64*-dev packages provide *_64.so links to link against:
     -ldmumps_64 -lzmumps_64 -lsmumps_64 -lcmumps_64 -lmumps_common_64 -lpord_64
    (or _64_${PLAT}.so variants with PLAT = ptscotch, scotch or seq.
    .a variants are also available for static linking.
  * Provide headers in common (arch-all) libmumps-headers-dev package.

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 May 2020 20:07:46 +0800

mumps (5.3.1-2) unstable; urgency=medium

  * Team upload.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 May 2020 17:04:20 +0800

mumps (5.3.1-1exp2) experimental; urgency=medium

  * Team upload.
  * debian/tests:
    - run mpi tests on 3 cpu, allow oversubscribing.
    - run serial and MPI tests separately
  * skip buildtime MPI tests for hurd-i386 and m68k
  * skip all tests on sh

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Apr 2020 23:26:29 +0800

mumps (5.3.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.5.0
  * add debian/tests (autopkgtest) testing MUMPS examples
    - run examples also in place of dh_auto_test

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Apr 2020 19:23:35 +0800

mumps (5.2.1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Dec 2019 09:23:05 +1100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libmumps-seq-5.8`.
